libebook::FictionBook2ExtrasCollector Class Reference documentation

libebook::FictionBook2ExtrasCollector Class Reference

`#include <FictionBook2ExtrasCollector.h>`

Inheritance diagram for libebook::FictionBook2ExtrasCollector:

## Public Member Functions
| FictionBook2ExtrasCollector (NoteMap_t &notes, BinaryMap_t &bitmaps)
| ~FictionBook2ExtrasCollector () override
Public Member Functions inherited from libebook::FictionBook2Collector
virtual | ~FictionBook2Collector ()=0

## Private Member Functions
| FictionBook2ExtrasCollector (const FictionBook2ExtrasCollector &other)
FictionBook2ExtrasCollector & | operator= (const FictionBook2ExtrasCollector &other)
void | defineMetadataEntry (const char *name, const char *value) override
void | openMetadataEntry (const char *name) override
void | closeMetadataEntry () override
void | defineID (const char *) override
void | openPageSpan () override
void | closePageSpan () override
void | openBlock () override
void | closeBlock () override
void | openParagraph (const FictionBook2BlockFormat &format) override
void | closeParagraph () override
void | openSpan (const FictionBook2Style &style) override
void | closeSpan () override
void | insertText (const char *text) override
void | openTable (const FictionBook2BlockFormat &format) override
void | closeTable () override
void | openTableRow (const FictionBook2BlockFormat &format) override
void | closeTableRow () override
void | openTableCell (int rowspan, int colspan) override
void | closeTableCell () override
void | insertCoveredTableCell () override
void | insertFootnote (const char *id) override
void | insertBitmap (const char *id) override
void | insertBitmapData (const char *contentType, const char *base64Data) override
void | flushCurrentNote ()

## Private Attributes
NoteMap_t & | m_notes
BinaryMap_t & | m_bitmaps
std::string | m_currentID
Note | m_currentNote
bool | m_ignored
bool | m_title
std::string | m_currentText
bool | m_inPara

## Additional Inherited Members
Public Types inherited from libebook::FictionBook2Collector
typedef std::unordered_map< std::string, Binary > | BinaryMap_t
typedef std::unordered_map< std::string, Note > | NoteMap_t

## Constructor & Destructor Documentation

## ◆ FictionBook2ExtrasCollector() [1/2]

libebook::FictionBook2ExtrasCollector::FictionBook2ExtrasCollector | ( | const FictionBook2ExtrasCollector & | other | ) |
| private

Referenced by FictionBook2ExtrasCollector(), and operator=().

## ◆ FictionBook2ExtrasCollector() [2/2]

libebook::FictionBook2ExtrasCollector::FictionBook2ExtrasCollector | ( | NoteMap_t & | notes,
|  | BinaryMap_t & | bitmaps )

## ◆ ~FictionBook2ExtrasCollector()

libebook::FictionBook2ExtrasCollector::~FictionBook2ExtrasCollector | ( |  | ) |
| override

## Member Function Documentation

## ◆ closeBlock()

void libebook::FictionBook2ExtrasCollector::closeBlock | ( |  | ) |
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

## ◆ closeMetadataEntry()

void libebook::FictionBook2ExtrasCollector::closeMetadataEntry | ( |  | ) |
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

## ◆ closePageSpan()

void libebook::FictionBook2ExtrasCollector::closePageSpan | ( |  | ) |
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

## ◆ closeParagraph()

void libebook::FictionBook2ExtrasCollector::closeParagraph | ( |  | ) |
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

## ◆ closeSpan()

void libebook::FictionBook2ExtrasCollector::closeSpan | ( |  | ) |
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

## ◆ closeTable()

void libebook::FictionBook2ExtrasCollector::closeTable | ( |  | ) |
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

## ◆ closeTableCell()

void libebook::FictionBook2ExtrasCollector::closeTableCell | ( |  | ) |
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

## ◆ closeTableRow()

void libebook::FictionBook2ExtrasCollector::closeTableRow | ( |  | ) |
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

## ◆ defineID()

void libebook::FictionBook2ExtrasCollector::defineID | ( | const char * | id | ) |
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

## ◆ defineMetadataEntry()

void libebook::FictionBook2ExtrasCollector::defineMetadataEntry | ( | const char * | name,
|  | const char * | value )
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

## ◆ flushCurrentNote()

void libebook::FictionBook2ExtrasCollector::flushCurrentNote | ( |  | ) |
| private

Referenced by defineID(), and ~FictionBook2ExtrasCollector().

## ◆ insertBitmap()

void libebook::FictionBook2ExtrasCollector::insertBitmap | ( | const char * | id | ) |
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

## ◆ insertBitmapData()

void libebook::FictionBook2ExtrasCollector::insertBitmapData | ( | const char * | contentType,
|  | const char * | base64Data )
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

## ◆ insertCoveredTableCell()

void libebook::FictionBook2ExtrasCollector::insertCoveredTableCell | ( |  | ) |
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

## ◆ insertFootnote()

void libebook::FictionBook2ExtrasCollector::insertFootnote | ( | const char * | id | ) |
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

## ◆ insertText()

void libebook::FictionBook2ExtrasCollector::insertText | ( | const char * | text | ) |
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

## ◆ openBlock()

void libebook::FictionBook2ExtrasCollector::openBlock | ( |  | ) |
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

## ◆ openMetadataEntry()

void libebook::FictionBook2ExtrasCollector::openMetadataEntry | ( | const char * | name | ) |
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

## ◆ openPageSpan()

void libebook::FictionBook2ExtrasCollector::openPageSpan | ( |  | ) |
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

## ◆ openParagraph()

void libebook::FictionBook2ExtrasCollector::openParagraph | ( | const FictionBook2BlockFormat & | format | ) |
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

## ◆ openSpan()

void libebook::FictionBook2ExtrasCollector::openSpan | ( | const FictionBook2Style & | style | ) |
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

## ◆ openTable()

void libebook::FictionBook2ExtrasCollector::openTable | ( | const FictionBook2BlockFormat & | format | ) |
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

## ◆ openTableCell()

void libebook::FictionBook2ExtrasCollector::openTableCell | ( | int | rowspan,
|  | int | colspan )
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

## ◆ openTableRow()

void libebook::FictionBook2ExtrasCollector::openTableRow | ( | const FictionBook2BlockFormat & | format | ) |
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

## ◆ operator=()

FictionBook2ExtrasCollector & libebook::FictionBook2ExtrasCollector::operator= | ( | const FictionBook2ExtrasCollector & | other | ) |
| private

## Member Data Documentation

## ◆ m_bitmaps

BinaryMap_t& libebook::FictionBook2ExtrasCollector::m_bitmaps
| private

Referenced by FictionBook2ExtrasCollector(), and insertBitmapData().

## ◆ m_currentID

std::string libebook::FictionBook2ExtrasCollector::m_currentID
| private

Referenced by defineID(), FictionBook2ExtrasCollector(), flushCurrentNote(), and insertBitmapData().

## ◆ m_currentNote

Note libebook::FictionBook2ExtrasCollector::m_currentNote
| private

Referenced by closeSpan(), FictionBook2ExtrasCollector(), flushCurrentNote(), openParagraph(), and openSpan().

## ◆ m_currentText

std::string libebook::FictionBook2ExtrasCollector::m_currentText
| private

Referenced by closeSpan(), FictionBook2ExtrasCollector(), and insertText().

## ◆ m_ignored

bool libebook::FictionBook2ExtrasCollector::m_ignored
| private

Referenced by closeParagraph(), closeSpan(), FictionBook2ExtrasCollector(), insertText(), openParagraph(), and openSpan().

## ◆ m_inPara

bool libebook::FictionBook2ExtrasCollector::m_inPara
| private

Referenced by closeParagraph(), defineID(), FictionBook2ExtrasCollector(), openParagraph(), and openSpan().

## ◆ m_notes

NoteMap_t& libebook::FictionBook2ExtrasCollector::m_notes
| private

Referenced by FictionBook2ExtrasCollector(), and flushCurrentNote().

## ◆ m_title

bool libebook::FictionBook2ExtrasCollector::m_title
| private

Referenced by closeParagraph(), closeSpan(), defineID(), FictionBook2ExtrasCollector(), openParagraph(), and openSpan().

The documentation for this class was generated from the following files:

- FictionBook2ExtrasCollector.h
- FictionBook2ExtrasCollector.cpp